View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.spi;
    17
    18  import java.util.Map;
    19
    20  import javax.servlet.http.HttpServletRequest;
    21
    22  import org.seasar.cubby.controller.RequestParser;
    23
    24  /**
    25   * {@link RequestParser} のプロバイダです。
    26   *
    27   * @author baba
    28   */
    29  public interface RequestParserProvider extends Provider {
    30
    31  	/**
    32  	 * 指定された要求を解析可能な解析器によって解析し、要求パラメータの {@link Map} を返します。
    33  	 *
    34  	 * @param request
    35  	 *            要求
    36  	 * @return 要求パラメータの {@link Map}
    37  	 */
    38  	Map<String, Object[]> getParameterMap(HttpServletRequest request);
    39
    40  }